




// converts an integer to a std::string
std::string itos(int k);

// returns a random integer
int random(int lo, int hi);


// define special debugging functions
#ifdef _DEBUG

void DB_DefineNewFrameDescriptor();
void DB_EndFrame();
void DB_EnterSubsection(std::string header);
int DB_ExitSubsection();
void DB_AddComment(std::string comment, bool nocr = false);
void DB_Reset();

void DB_Output();


#else
// here, we're doing the release version.
// so everything defined above should be defined here 
// as ((void)0) so the compiler knows to remove it.
// Note, this may be compiler specific.  

#define DB_DefineNewFrameDescriptor()
#define DB_EndFrame()
#define DB_EnterSubsection(header)
#define DB_ExitSubsection()
#define DB_AddComment(comment, nocr)
#define DB_Reset()

#define DB_Output()

#endif
